#ifndef GLOBAL_VARIABLE
#define GLOBAL_VARIABLE

#include <QString>
#include <qglobal.h>

// system info
#if (QT_VERSION >= QT_VERSION_CHECK(5, 12, 0))
static const QString SYSTEM_VERSION = "V10Professional";
#else
__attribute__((unused)) static const QString SYSTEM_VERSION = "V10";
#endif


// binary path
#ifdef TEST_DEBUG
__attribute__((unused)) static const QString APP_PATH = QString(PROJECT_BINARY_DIR) + "/kylin-printer";
#else
__attribute__((unused)) static const QString APP_PATH = "/usr/bin/kylin-printer";
#endif


#endif // GLOBAL_VARIABLE